Search found 11044 matches

by bernd
Thu Jan 21, 2021 7:00 am
Forum: Help on using FreeCAD
Topic: deleting a group with all its contents recursively
Replies: 9
Views: 280

Re: deleting a group with all its contents recursively

In the regard of openscad tool it is just a matter of implemented command activation. If a part object is added the command is not greyed and can be applied. It works than, but this is somehow cumbersome ...


group_to_delete2.FCStd
(315.44 KiB) Downloaded 3 times
by bernd
Wed Jan 20, 2021 8:57 pm
Forum: Help on using FreeCAD
Topic: deleting a group with all its contents recursively
Replies: 9
Views: 280

Re: deleting a group with all its contents recursively

chrisb wrote:
Wed Jan 20, 2021 6:45 pm
OPenSCAD->Remove objects and their children.
does not work on the group object from the file attache in my post before your post. If group object is selected the command is still grey
by bernd
Wed Jan 20, 2021 4:19 pm
Forum: Help on using FreeCAD
Topic: deleting a group with all its contents recursively
Replies: 9
Views: 280

Re: deleting a group with all its contents recursively

a FreeCAD group object, especially the Arch spatial groups. They have groups in groups and Features in this groups and the python features are based on parts. sometimes a thousand or two thousand.
by bernd
Wed Jan 20, 2021 1:45 pm
Forum: Help on using FreeCAD
Topic: deleting a group with all its contents recursively
Replies: 9
Views: 280

deleting a group with all its contents recursively

If I delete a group in the gui, I need to delete sometimes up to 5 times before all objects are really deleted. Is there a possibility to delete all group objects recursively?

bernd
by bernd
Tue Jan 19, 2021 7:21 am
Forum: Python scripting and macros
Topic: problem with object name on new object
Replies: 6
Views: 238

Re: problem with object name on new object

makes sense ... good to know. :D
by bernd
Mon Jan 18, 2021 11:02 pm
Forum: Python scripting and macros
Topic: problem with object name on new object
Replies: 6
Views: 238

problem with object name on new object

start FreeCAD, make a new Document import Part mybox = App.ActiveDocument.addObject("Part::Box", "123456") App.ActiveDocument.recompute() mybox.Name >>> import Part >>> mybox = App.ActiveDocument.addObject("Part::Box", "123456") >>> App.ActiveDocument.recompute() 1 >>> mybox.Name '_23456' >>> Why "_...
by bernd
Sun Jan 17, 2021 11:18 pm
Forum: Open discussion
Topic: Macro: loading GIS-data into FreeCAD
Replies: 3
Views: 104

Re: Macro: loading GIS-data into FreeCAD

Perhaps someone can help me with a piece of pythoncode to add an object to a draftlayer so that all the objects are ordened. draftobjects.layer.Layer.addObject(self, obj, child) What is the object 'child'? I could not figure that out. Draft_Layer a draft layer is just a FreeCAD group object, you ca...
by bernd
Sun Jan 17, 2021 11:16 pm
Forum: Open discussion
Topic: Macro: loading GIS-data into FreeCAD
Replies: 3
Views: 104

Re: Macro: loading GIS-data into FreeCAD

since GeoData wb is really outdated I moved this into a new topic.

Great stuff BTW.
by bernd
Sun Jan 17, 2021 11:11 pm
Forum: Open discussion
Topic: License of AddOn
Replies: 12
Views: 478

Re: License of AddOn

many thanks for all the help Werner.